Subject: bug#51369: intermittent dbus-test04-register-method failure

From: Michael Albinus <[email-masked]>
Date: Sat, 06 Nov 2021 17:34:01 +0100

Michael Albinus <[email-masked]> writes:

Hi Glenn,

>>> The error message to be captured can arrive in two different
>>> flavors. Only on hydra the other flavor appears sometimes.
>>>
>>> So I skip this check on hydra. Pushed to emacs-28 and merged to master.
>>
>> But my report was about a CentOS 8.4 desktop, not hydra.nixos.org.
>> The Emacs test-suite needs to be reliable everywhere.
>
> I see.
>
> I've installed a CentOS 8 VM, and compiled Emacs 29 there. Running
> dbus-tests in batch.
>
> In 4 of 10 runs, the reported error happened. Good, so I have a chance
> to debug it.

I've pushed a corrected version of dbus-tests.el to the emacs-28 branch,
which passes all tests on my CentOS VM reliably. Merged with master.

Best regards, Michael.